<div class="slider">
    <swiper #swiper
        [slidesPerView]="swiperSlidesPerView"
        [centeredSlides]="true"
        [centeredSlidesBounds]="true"
        [speed]="600"
        (slideChange)="onSlideChange()" #newSwiper>
        <ng-template swiperSlide *ngFor="let hotel of dataService.hotels$ |
            async">
            <div class="card"
                id={{hotel.id}} [ngClass]="selectedHotel?.id === hotel.id ?
                'active' :
                ''">
                <div class="card-content">
                    <div>
                        <div class="image-container">
                            <img alt= {{hotel.title}}
                                src="assets/images/hotel_img_placeholder.png">
                        </div>
                    </div>
                    <div>
                        <div>
                            <h4 class="card-title">{{hotel.title}}</h4>
                            <p class="card-caption">{{hotel.distance + " " +
                                captionMsg}}</p>
                        </div>
                        <div>
                            <h2 class="card-price">&pound;{{hotel.price}}</h2>
                            <p class="card-msg">{{additionalMsg}}</p>
                        </div>
                    </div>
                </div>
                <button [disabled]="selectedHotel.id !== hotel.id"
                    (click)="openBookingForm(hotel)">Book</button>
            </div>
        </ng-template>
    </swiper>
</div>
